- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# KnapNodeDesc Class Reference

`#include <KnapTreeNode.h>`

Inheritance diagram for KnapNodeDesc:

[legend]
Collaboration diagram for KnapNodeDesc:

[legend]
List of all members.

## Public Member Functions
| KnapNodeDesc (KnapModel *m)
| KnapNodeDesc (KnapModel *m, KnapVarStatus *&st, int cap, int val)
virtual | ~KnapNodeDesc ()
void | setVarStatus (const int i, const KnapVarStatus status)
KnapVarStatus | getVarStatus (const int i)
const KnapVarStatus * | getVarStati () const
int | getUsedCapacity () const
int | getUsedValue () const
## Private Attributes
KnapVarStatus * | varStatus_
| This array keeps track of which variables have been fixed by branching and which are still free.
int | usedCapacity_
| The total size of the items fixed to be put into the knapsack.
int | usedValue_

## Detailed Description

Definition at line 36 of file KnapTreeNode.h.

## Constructor & Destructor Documentation

KnapNodeDesc::KnapNodeDesc | ( | KnapModel * | m | ) | `[inline]`

Definition at line 70 of file KnapTreeNode.h.

References KnapVarFree, AlpsNodeDesc::model_, and varStatus_.

KnapNodeDesc::KnapNodeDesc | ( | KnapModel * | m,
|  | KnapVarStatus *& | st,
|  | int | cap,
|  | int | val |
| ) |  |  | `[inline]`

Definition at line 82 of file KnapTreeNode.h.

References varStatus_.

virtual KnapNodeDesc::~KnapNodeDesc | ( |  | ) | `[inline, virtual]`

Definition at line 94 of file KnapTreeNode.h.

References varStatus_.

## Member Function Documentation

void KnapNodeDesc::setVarStatus | ( | const int | i,
|  | const KnapVarStatus | status |
| ) |  |  | `[inline]`

Definition at line 99 of file KnapTreeNode.h.

References varStatus_.

KnapVarStatus KnapNodeDesc::getVarStatus | ( | const int | i | ) | `[inline]`

Definition at line 102 of file KnapTreeNode.h.

References varStatus_.

const KnapVarStatus* KnapNodeDesc::getVarStati | ( |  | ) | const`[inline]`

Definition at line 105 of file KnapTreeNode.h.

References varStatus_.

int KnapNodeDesc::getUsedCapacity | ( |  | ) | const`[inline]`

Definition at line 108 of file KnapTreeNode.h.

References usedCapacity_.

int KnapNodeDesc::getUsedValue | ( |  | ) | const`[inline]`

Definition at line 109 of file KnapTreeNode.h.

References usedValue_.

## Member Data Documentation

KnapVarStatus* KnapNodeDesc::varStatus_`[private]`

This array keeps track of which variables have been fixed by branching and which are still free.

Definition at line 50 of file KnapTreeNode.h.

Referenced by getVarStati(), getVarStatus(), KnapNodeDesc(), setVarStatus(), and ~KnapNodeDesc().

int KnapNodeDesc::usedCapacity_`[private]`

The total size of the items fixed to be put into the knapsack.

Definition at line 53 of file KnapTreeNode.h.

Referenced by getUsedCapacity().

int KnapNodeDesc::usedValue_`[private]`

Definition at line 54 of file KnapTreeNode.h.

Referenced by getUsedValue().

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Bcps-0.91.0/Alps/examples/Knap/KnapTreeNode.h